aboutsummaryrefslogtreecommitdiffstats
path: root/main/pcre/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-11-25 21:47:56 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-11-25 21:47:56 +0000
commit704d9829495d7810b378409aaa6e4346342a5c35 (patch)
tree42ce3846fa497a4cb58bd277560048dd7097909f /main/pcre/APKBUILD
parenta9f58718932a40f5081c9da77248108de7dba1d5 (diff)
downloadaports-704d9829495d7810b378409aaa6e4346342a5c35.tar.gz
aports-704d9829495d7810b378409aaa6e4346342a5c35.tar.bz2
aports-704d9829495d7810b378409aaa6e4346342a5c35.tar.xz
main/pcre: build fix for x86_64
we need test if strtoq actually link.
Diffstat (limited to 'main/pcre/APKBUILD')
-rw-r--r--main/pcre/APKBUILD23
1 files changed, 18 insertions, 5 deletions
diff --git a/main/pcre/APKBUILD b/main/pcre/APKBUILD
index 1603110933..cc7c74fcfd 100644
--- a/main/pcre/APKBUILD
+++ b/main/pcre/APKBUILD
@@ -6,12 +6,24 @@ pkgdesc="Perl-compatible regular expression library"
url="http://pcre.sourceforge.net"
license="BSD"
depends=
-makedepends=
-source="ftp://ftp.csx.cam.ac.uk/pub/software/programming/$pkgname/$pkgname-$pkgver.tar.bz2"
+makedepends="autoconf automake libtool"
+source="ftp://ftp.csx.cam.ac.uk/pub/software/programming/$pkgname/$pkgname-$pkgver.tar.bz2
+ uclibc-strtoq.patch"
subpackages="$pkgname-dev $pkgname-doc libpcrecpp"
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ aclocal && autoconf && automake && libtoolize
+}
+
build() {
- cd "$srcdir/$pkgname-$pkgver"
+ cd "$_builddir"
./configure --prefix=/usr \
--enable-utf8 \
--with-match-limit-recursion=8192 \
@@ -22,7 +34,7 @@ build() {
}
package() {
- cd "$srcdir/$pkgname-$pkgver"
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
}
@@ -32,4 +44,5 @@ libpcrecpp() {
mv "$pkgdir"/usr/lib/libpcrecpp.so* "$subpkgdir"/usr/lib/
}
-md5sums="780867a700e9d4e4b9cb47aa5453e4b2 pcre-8.10.tar.bz2"
+md5sums="780867a700e9d4e4b9cb47aa5453e4b2 pcre-8.10.tar.bz2
+6276c5cdbecaa14256b50ce9a9333500 uclibc-strtoq.patch"